Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596993 - Anaconda causes OOM during upgrade
Anaconda causes OOM during upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
i686 Linux
low Severity high
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 17:20 EDT by James Vega
Modified: 2014-09-30 19:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-14.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:29:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Vega 2010-05-27 17:20:07 EDT
Description of problem:
In trying to upgrade from F12 to F13 via preupgrade, the install kept dying after downloading install.img.  One of the attempts, I switched to VT4 to watch the message logs and saw that the OOM killer was trashing anaconda, and a few other things along the way.  Since this was a VM (VirtualBox 3.2.0), I changed the allocated memory from 256 MB to 384 MB and this time anaconda was able to get far enough to tell me that there wasn't enough memory for the graphical installer, so the text installer would be used instead.

Version-Release number of selected component (if applicable):


How reproducible:
Happened every time I tried to upgrade with 256 MB allocated to the VM.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
OOM killer gets triggered while anaconda does initial setup after install.img is downloaded.

Expected results:
Low memory conditions are detected and text installer is used.
Comment 1 Ales Kozumplik 2010-05-28 04:34:54 EDT
James,

thanks for the report. the fix won't make f13 so I'm moving it to rawhide.

Ales
Comment 2 Ales Kozumplik 2010-05-28 04:36:00 EDT
Oh,

did you say 'downloading install.img'? Does it mean you used http or ftp method for the install?

Thanks.
Ales
Comment 3 James Vega 2010-05-28 10:02:04 EDT
I used preupgrade to prep the upgrade, but there wasn't enough space in /boot for everything that preupgrade needed to stash there.  So, when I rebooted to perform the upgrade, it downloaded install.img.
Comment 4 Ales Kozumplik 2010-06-01 09:46:24 EDT
Fixed in anaconda-14.7 by commit 9735b2bd5c98dbe310ed666c1194a25f3d825b7f.
Comment 5 Bug Zapper 2010-07-30 07:44:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Alan Crosswell 2011-03-31 20:34:04 EDT
Does not appear to be fixed in 14.22.  Fails on a text-mode install with 384 MB.  See release notes documentation bug 691238 that I've filed.  Is this supposed to work in a 384 MB system or not?
Comment 7 Fedora End Of Life 2012-08-16 18:29:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.